using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Change_Array_Demo_2
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ChangeArray(ref int[] iArray)
        {
            const int NEW_SIZE = 5;

            // Zdefiniowanie iArray jako odwołania do innej tablicy.
            iArray = new int[NEW_SIZE];

            // Przypisanie wartości 99 elementom nowej tablicy.
            for (int index = 0; index < iArray.Length; index++)
            {
                iArray[index] = 99;
            }
        }

        private void goButton_Click(object sender, EventArgs e)
        {
            // Utworzenie tablicy typu int.
            int[] numbers = { 1, 2, 3 };

            // Wyświetlenie zawartości tablicy numbers.
            outputListBox.Items.Add("Początkowa zawartość tablicy:");
            foreach (int value in numbers)
            {
                outputListBox.Items.Add(value);
            }

            // Przekazanie tablicy numbers metodzie ChangeArray().
            ChangeArray(ref numbers);

            // Wyświetlenie zawartości tablicy numbers.
            outputListBox.Items.Add("Po wywołaniu metody ChangeArray():");
            foreach (int value in numbers)
            {
                outputListBox.Items.Add(value);
            }
        }

        private void exitButton_Click(object sender, EventArgs e)
        {
            // Zamknięcie formularza. 
            this.Close();
        }
    }
}
